GNU bug report logs - #49544
26.3; shift arrow command runaway

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Kunz, Chris" <ckunz@HIDDEN>; Keywords: moreinfo; dated Tue, 13 Jul 2021 14:45:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 49544 <at> debbugs.gnu.org:


Received: (at 49544) by debbugs.gnu.org; 13 Jul 2021 16:11:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 12:11:19 2021
Received: from localhost ([127.0.0.1]:41622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3L0A-0002x5-69
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 12:11:19 -0400
Received: from mailrelay.anl.gov ([130.202.101.22]:37583)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ckunz@HIDDEN>) id 1m3Kha-0002Va-8E
 for 49544 <at> debbugs.gnu.org; Tue, 13 Jul 2021 11:52:06 -0400
Received: from mailgateway.anl.gov (mailgateway.anl.gov [130.202.101.28])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mailrelay.anl.gov (Postfix) with ESMTPS id F31B510053A2
 for <49544 <at> debbugs.gnu.org>; Tue, 13 Jul 2021 10:52:00 -0500 (CDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=anl.gov; i=@anl.gov; q=dns/txt; s=selector1-anl-gov;
 t=1626191521; x=1657727521;
 h=from:to:cc:subject:date:message-id:references:
 in-reply-to:content-transfer-encoding:mime-version;
 bh=OJwj50ikPte8Cix8kGBz8DO+nW+1D1d/RHNydhIuS04=;
 b=NEJbxMnxsbCRQELO0pHSqNzrCQ1/m3uXnbuQYZOfANYsZraTAzTtC6zC
 AwbrRmoLEpME2s+zt9f5BWt3UTmtFqWWAl2O191GHbF0+CJEU7QnfvQ0n
 +gcLlqFc130poLr/5Eht5RWTfrxy30Vsjiuum9jdZy/HF5Udb7ZQfZha5
 FuaGeXOLURenGNfPB+fRPfGbdc1INvsJeQOzCqTe7Ekch4xbC5zOA1Z/H
 zSIL82vnzODyMcmz2UpIEYrbiEgP59G3X5EX3lWZKX9gfq24aubOzlwMa
 ZMGBH7NvYA64iGKTRDmWUJBH62bB31K0MTnoWx9yM4QUJgN1B9eMWLeDB Q==;
IronPort-SDR: DSE/PBKGAMJE7kqw05ylLQZkn38USH1S8/3QzVR9Ks71frRuf4XFKbI+XbnsH1sfU/BQQfnKVo
 dqm8pR9TgaKt+UweQQClDuGiOPQiwyAfFKyyOrJjmziaSoM/LtMvJ2j6KcDba/PpHpEm3zNJYj
 60dASbLUPHaxbnEqA6PkZrm/jSIhZ0qF9vfa2OGhRCkpFLVgy699WGZulKyynxxn8nvJFWzYeQ
 cGaiDSZKzj2R7jVSM+Ci4tDnvn2aqn8mFJzvhDSDcT9A9zP+dou7em543wTYI0xvF9gJ1iEGE1
 afs=
X-IronPort-AV: E=Sophos;i="5.84,236,1620709200"; 
   d="scan'208";a="4428588"
Received: from eskimodog.anl.gov ([146.137.81.13])
 by mailgateway.anl.gov with ESMTP/TLS/ECDHE-RSA-AES256-SHA384;
 13 Jul 2021 10:52:01 -0500
Received: from Camel.anl.gov (146.137.81.12) by eskimodog.anl.gov
 (146.137.81.13) with Microsoft SMTP Server (TLS) id 15.0.1497.2; Tue, 13 Jul
 2021 10:52:00 -0500
Received: from GCC02-DM3-obe.outbound.protection.outlook.com (104.47.65.104)
 by hybridexchange.anl.gov (146.137.81.12) with Microsoft SMTP Server (TLS) id
 15.0.1497.2 via Frontend Transport; Tue, 13 Jul 2021 10:52:00 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=LWiE+Ys6qJi05hndJUq6apvqY/80a1FKEI9kjnZcXoJdoSMLMMO+aQouMkoPpBeVcFxsLcegArpSkeD9KcKbMWcQwnEsmbcz97KQGjzdHg/UNlS0Z7tpnwk0pO4cSmDSpCkmPNm4bpIyl/IjFVWcn5tvIvhfRleSKvFOzro5C35tPQp/YIviLrN7IMwMqx8kilAS4jrCGlSsquXHHpYsA8F1lKk0bOa7KxngwbZCUgnevDvAQGShXTa2oJSkc3VE3FhO72S1TiLi1+CFebw+uA+cIDxP4hYSNdAyoPPVlpNt5gncuv1EM1+VJp8+yrJhTN6TmftrmCDglbcWNy2c1g==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=OJwj50ikPte8Cix8kGBz8DO+nW+1D1d/RHNydhIuS04=;
 b=n0OOQxsl4GnCmjOzaSqrfCRpCiFGiTF73xBwcJIjNiyVuemIhxLWiGbgHTqame+r8FajN2rLp/yqSoFq7QJ52IxWijwhqX+rPEMYvNClgn+ypa4TqH+T2gufiymnNnzka/wOlWjJ3t4aI2AX/PxxjgUMQL/Vk8MwOm8qibe34rG0PtBzouX4l+eZHyF5pwvv2b9B11y8liUOBHUP/QxIUuzRsfJgqp6iWwqDiGmhcjibqD3IoJ1eBj+5WQnM4FaC41me9BA3oI6r7KUHPJSM0zTjEog32TNFrrfNpWRvAKNlFMb7O37fTMmQDcfvfkKGWT+qxX+q2ZnsspjCsPn42Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=anl.gov; dmarc=pass action=none header.from=anl.gov; dkim=pass
 header.d=anl.gov; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ArgonneDOE.onmicrosoft.com; s=selector2-ArgonneDOE-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=OJwj50ikPte8Cix8kGBz8DO+nW+1D1d/RHNydhIuS04=;
 b=kVvniBRKdbwq+ZNiGPETe61DvXG3MIVtmmxfCZer9hxNQZhoxuNVA5PEsxnaaJNkfMhw8ibeaQHL/R3oZeM5fvNMoEY9VbClEV76kA8ck8qF5Fl5Q7k8u6tm5gLyCj01tosS/Zc5+7uUcpCpJsmsI/N5TgKP66D2si75TGzBC30=
Received: from DM6PR09MB4631.namprd09.prod.outlook.com (2603:10b6:5:268::14)
 by DM8PR09MB7206.namprd09.prod.outlook.com (2603:10b6:5:2ee::15) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4308.20; Tue, 13 Jul
 2021 15:52:00 +0000
Received: from DM6PR09MB4631.namprd09.prod.outlook.com
 ([fe80::d1a4:2d1c:9127:9426]) by DM6PR09MB4631.namprd09.prod.outlook.com
 ([fe80::d1a4:2d1c:9127:9426%4]) with mapi id 15.20.4308.027; Tue, 13 Jul 2021
 15:51:59 +0000
From: "Kunz, Chris" <ckunz@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#49544: 26.3; shift arrow command runaway
Thread-Topic: bug#49544: 26.3; shift arrow command runaway
Thread-Index: Add38W2sAPMk3LNdR1WKx+F3/GeBRwADBauzAABF83A=
Date: Tue, 13 Jul 2021 15:51:59 +0000
Message-ID: <DM6PR09MB4631D41FF3A4E77218C510C8A0149@HIDDEN>
References: <DM6PR09MB4631845BC4D38996AAE65026A0149@HIDDEN>
 <83pmvm8bmy.fsf@HIDDEN>
In-Reply-To: <83pmvm8bmy.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=anl.gov;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: be6881e6-c289-4bd1-ba8f-08d946162655
x-ms-traffictypediagnostic: DM8PR09MB7206:
x-microsoft-antispam-prvs: <DM8PR09MB7206F4A15EAF07B58CD5C5ECA0149@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 2NKIqr/nB9ficOGPu+3RsI2S9qInGGdzQ8DIftiwDda+R7IdKiuoiR0JEkApz7qcxdxyl1oU9Uh2cHCj+xDeNMwcHKErv6OJobvhDz73aKKVqP23S/4dJSHgWNuA0wso/nWfOBR7SzIVF/N9FymqlE5jxG7ivLmXUurNHJIzZlhTweQt4XHy8hhsMjUl/B5UOKX/VLfkmnrfsVXDSbS3R+nlZNh/uZpoh/2oeraUEpD+B4VZR3A6S/lvbhAQg12tsZS8dg6WfWlorCV6eiuQ6nCz2lICRO0a+DWOOSsd84VXZd1CjHF/g/ivTs9ZwOHBBYC7rI5v6uWAAix57qEBTsG+dA2Bqg1jnfEH6/pia08AS4GSYp2zpkpm14vPclk8WtWvWYh/TyVs5oLLcjmIHwCrHaYaOFhnB7+5hrt2O14aU3Y/1dykfpEdNLhiXCsPKgvAD14Z5+TG4Gk1F70/InYlyzKJCRuZhv8MKDup3rhcBVz+DXpFiR/E22IbUsj+6dpooQqqakoWEID7K4WkevUdsn9kiDIvD7/4Wqsqx1b8gAPQ2wiKAfL5PsFPyjZjPkfOTJw9yiseBRR7ROaJO9r2adjqheHehM6XgYb9/N2/8pEVD7LhvbSbqNVu1TYzGBvtBr80WuR9q0JW7RbxcQ==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DM6PR09MB4631.namprd09.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(376002)(366004)(136003)(396003)(346002)(39850400004)(5660300002)(76116006)(53546011)(66946007)(38100700002)(86362001)(66556008)(64756008)(66476007)(478600001)(55016002)(6506007)(8936002)(71200400001)(122000001)(33656002)(9686003)(6916009)(186003)(83380400001)(4326008)(8676002)(26005)(52536014)(66446008)(316002)(7696005)(2906002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?bzG3D80N+3cpCHKXqd119R0Hyx9tykOp8xpexgrleaBdkXhUbsci534Dp1++?=
 =?us-ascii?Q?0L7TqvnLg0DmMh1HmMtsVGOLxVnZ6bD8wq6s1Z49cx+R1U6bmPKp+vUFIgc+?=
 =?us-ascii?Q?09mtgd7zZ5SsFfy9UXR9u77s6Z7xFbaVqWAaGSqrPmU+YZjG8oqy3caAKHwb?=
 =?us-ascii?Q?NYUZKB65wAPvAOciFxooQrqih+ft0qKvSW+CYJ7M/zRl7IU+zV5AfkoOs8Zj?=
 =?us-ascii?Q?CRMIr53uE0geXwFkVywCEkqvBver2Y99cHq4Kg/Vt8TiF/zJCHJTpP6mK0/+?=
 =?us-ascii?Q?qi5T4IDv6UpRMoJbqZmdKUitvtxsNacz7PfBhs9wYB4WbgDAsUUceFehvHhl?=
 =?us-ascii?Q?DLNoDcTRIXut33akMQoHv7r1qPJH/AuO5ObnX9lzcZNFeyE2oA/E2uy0kKfs?=
 =?us-ascii?Q?jw6l5P4mFrpvkUkVEvNeRRZuyYEfX9d56kZ2gJB4t+ACWFZGMwhWcpniwGr/?=
 =?us-ascii?Q?KCdetcjQufgiiz2dU87O9QmRrwGmhblYB4BwLvAdWfjnFvmu8Ro2DGibvtBg?=
 =?us-ascii?Q?JCH32OoskJxK4hBrF7wyATmOUhcdiDskzt/lP9ldbAWKNRR787+h94gE22W2?=
 =?us-ascii?Q?9VaXwgsZBSnmasw3Vu1Q0LbQPiwcQuo10Y1tLWPjKm+avs5UUwLlN7JDGjqS?=
 =?us-ascii?Q?JevipU3NlV0vmh7tSEDszQu8wgaEoA/z/8t/00K0gczHPnZY1Tx03ZUJn4MJ?=
 =?us-ascii?Q?vZ8/nb6XdOBDy+UXFoe8++u+uXcBS/FAUGmtgOZJ52eP4U+gJUaFxKhrC4LF?=
 =?us-ascii?Q?MvkPguLbkGzvwsaAHtL2aAFKT6fKj3hpbVOPFyPGL9+NnPisRuZ+mNz3WWuH?=
 =?us-ascii?Q?NeruGZbRB4VibD3BtkjmYHNzKCXUT+286wYsRX1XEKTWbrwTll2lbehbc8Jp?=
 =?us-ascii?Q?fjEmRTzlxUDpWSgIKUkpVgsp3VZYxI2cfgU1O2Cc+L9H5h5NDxWCFnQx/zMc?=
 =?us-ascii?Q?jMaSC296D2xXwXSQNmBT+ywiLmHSU91/+fJTHoyTTFye7UYI6hiNwylzbRft?=
 =?us-ascii?Q?ahPLGePuWsr5hllI+bW4gY0SZTnKd6uy7MklMv6kSlo9mohvnzYmj4Q2d+H7?=
 =?us-ascii?Q?WF5kVA8qEGvNgX4ZGn5loUQQpkPRK8uq8fCGv7rQkWXrCuYJ7hgv5m8RM3+n?=
 =?us-ascii?Q?QLo8/a9ALqxiqcSUANBLhUXrgYlmiZt6Bh/99pbfvnik/lXeOTHokBm29500?=
 =?us-ascii?Q?Z18tcra3q38KshM9ovm3MeF5TzBPRBQ1iimovuF79kEZEhsfOkHaL+Raz3Mp?=
 =?us-ascii?Q?Yi6ds8peNAMLO0mXmzzvXkEi/M+pOS5KTlLkeCIBWn5pFkUv+ZY8AGYd6iBV?=
 =?us-ascii?Q?Peh7nSVB0UOnxPZ7JrsHrN/T?=
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: DM6PR09MB4631.namprd09.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: be6881e6-c289-4bd1-ba8f-08d946162655
X-MS-Exchange-CrossTenant-originalarrivaltime: 13 Jul 2021 15:51:59.5774 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0cfca185-25f7-49e3-8ae7-704d5326e285
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM8PR09MB7206
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49544
X-Mailman-Approved-At: Tue, 13 Jul 2021 12:11:17 -0400
Cc: "49544 <at> debbugs.gnu.org" <49544 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Emacs is running under WSL (Ubuntu).  It doesn't happen in any application =
under Windows 10 (including GNU Emacs 25.2.1 compiled for Windows).  It als=
o doesn't happen in the xterm window running under WSL.  It could be WSL or=
 VcXsrv.  I will try to move to WSL 2 and see if that solves the issue.

Thanks,
Chris

-----Original Message-----
From: Eli Zaretskii <eliz@HIDDEN>=20
Sent: Tuesday, July 13, 2021 10:41
To: Kunz, Chris <ckunz@HIDDEN>
Cc: 49544 <at> debbugs.gnu.org
Subject: Re: bug#49544: 26.3; shift arrow command runaway

> Date: Tue, 13 Jul 2021 14:15:06 +0000
> From:  "Kunz, Chris" via "Bug reports for GNU Emacs,  the Swiss army=20
> knife of text editors" <bug-gnu-emacs@HIDDEN>
>=20
> When I try to select a region using shift+arrow, if I hold the key=20
> combination down for a second or two it will continue selecting the=20
> text after the keys are released. It appears to enter an infinite loop an=
d only stops after reaching the end (or beginning) of the buffer.
>=20
> =20
>=20
> The arrow key alone does not show the same behavior. This is reproducible=
 across major modes.

Is this some "accessibility" feature of your system, perhaps?  There's no s=
uch feature in Emacs, AFAIK.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49544; Package emacs. Full text available.

Message received at 49544 <at> debbugs.gnu.org:


Received: (at 49544) by debbugs.gnu.org; 13 Jul 2021 15:41:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 11:41:23 2021
Received: from localhost ([127.0.0.1]:41606 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3KXC-0002Fo-T6
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 11:41:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1m3KX8-0002FY-4A
 for 49544 <at> debbugs.gnu.org; Tue, 13 Jul 2021 11:41:21 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35950)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1m3KX2-0005Lz-7g; Tue, 13 Jul 2021 11:41:12 -0400
Received: from 84.94.185.95.cable.012.net.il ([84.94.185.95]:3821
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1m3KX1-0003SM-Rb; Tue, 13 Jul 2021 11:41:12 -0400
Date: Tue, 13 Jul 2021 18:41:09 +0300
Message-Id: <83pmvm8bmy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: "Kunz, Chris" <ckunz@HIDDEN>
In-Reply-To: <DM6PR09MB4631845BC4D38996AAE65026A0149@HIDDEN>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#49544: 26.3; shift arrow command runaway
References: <DM6PR09MB4631845BC4D38996AAE65026A0149@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 49544
Cc: 49544 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 13 Jul 2021 14:15:06 +0000
> From:  "Kunz, Chris" via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> When I try to select a region using shift+arrow, if I hold the key combination down for a second or two it will
> continue selecting the text after the keys are released. It appears to enter an infinite loop and only stops after
> reaching the end (or beginning) of the buffer.
> 
>  
> 
> The arrow key alone does not show the same behavior. This is reproducible across major modes.

Is this some "accessibility" feature of your system, perhaps?  There's
no such feature in Emacs, AFAIK.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#49544; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Jul 2021 14:44:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 13 10:44:30 2021
Received: from localhost ([127.0.0.1]:41552 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1m3Je7-0000t6-ES
	for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 10:44:29 -0400
Received: from lists.gnu.org ([209.51.188.17]:42578)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ckunz@HIDDEN>) id 1m3JBv-0000DE-IS
 for submit <at> debbugs.gnu.org; Tue, 13 Jul 2021 10:15:31 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35296)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ckunz@HIDDEN>) id 1m3JBu-0002Ug-0m
 for bug-gnu-emacs@HIDDEN; Tue, 13 Jul 2021 10:15:19 -0400
Received: from mailrelay.anl.gov ([130.202.101.22]:58587)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ckunz@HIDDEN>) id 1m3JBn-0006Be-Lb
 for bug-gnu-emacs@HIDDEN; Tue, 13 Jul 2021 10:15:15 -0400
Received: from mailgateway.anl.gov (mailgateway.anl.gov [130.202.101.28])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 by mailrelay.anl.gov (Postfix) with ESMTPS id D826610053B9
 for <bug-gnu-emacs@HIDDEN>; Tue, 13 Jul 2021 09:15:08 -0500 (CDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=anl.gov; i=@anl.gov; q=dns/txt; s=selector1-anl-gov;
 t=1626185709; x=1657721709;
 h=from:to:subject:date:message-id:mime-version;
 bh=nlxMnD+Qng/XZ3ItsSWPtwUFCQiY7BraU69+h1GKl3c=;
 b=RHrGs79xXZxxhjHjrhOMgXeU/nfAHOvsyKN7YDSR4WQZVkmroX/g4Rgv
 yImj+5QYU+KoNc4r8hdhBCOrBo5PXXGHht1PVkIL+5dITXvA8+NybhXdO
 zJezEN/3B/BaS1WQt7F5Q98p0R0/1DufmUQ749T6QrSvukeLUYPHA28GT
 Vz7MZ/46IjhZJnLidO910N+rJGIMgBipsO/ySdN52E7qoyva5qYxxglsx
 XpW25vWDLnwspI5cX8XX8MAD9dKh1c7X7UEbU8a0C4b9JWe12sPNycE3Y
 enpcn+nDODSsnYIdFHftaEXrkhdrD/VxH/DQCNk3/jRVSeWp+/ucbToQh g==;
IronPort-SDR: OjUCWJS2eYToebIXzT0wr2TfrO4kfLEdGgdtcre1gPHyC4sOM0vCXt/yVjhOcd2Uh/2rNZEcPn
 FTTXkNErP/AhYY2Vl5fUaL4WbNg9fGpwZ3XjaYpImAauK3OU9yj45B1W8ZP+hug5wgrebZgu+N
 7kq9ZGZIDPISuOiB+2IsHClOfrQSh5aVDWTlqt+XwwADcUgs/G+P+WLWcd8wBdDyHENZlqmo86
 f5KkIhW5jRDJtK+0YT4CoHwX4kS84zQc8BYs2YC5JwVwaA+eAYSnr4KxRUWqhwSlQYAoLVj0Z4
 XC8=
X-IronPort-AV: E=Sophos;i="5.84,236,1620709200"; d="scan'208,217";a="4410411"
Received: from camel.anl.gov ([146.137.81.12])
 by mailgateway.anl.gov with ESMTP/TLS/ECDHE-RSA-AES256-SHA384;
 13 Jul 2021 09:15:09 -0500
Received: from eskimodog.anl.gov (146.137.81.13) by Camel.anl.gov
 (146.137.81.12) with Microsoft SMTP Server (TLS) id 15.0.1497.2; Tue, 13 Jul
 2021 09:15:07 -0500
Received: from GCC02-DM3-obe.outbound.protection.outlook.com (104.47.65.107)
 by hybridexchange.anl.gov (146.137.81.13) with Microsoft SMTP Server (TLS) id
 15.0.1497.2 via Frontend Transport; Tue, 13 Jul 2021 09:15:07 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=j7iDPs9DL2rAH+wGs0vlSzhSIU10J/8TZnA08oQjjSt2n8Wh/ZO9fMrIdr/4VQxaNBQLZ55PmM/x/A6p+2dTFx6eRNMScL5bhJxSJChGZUbj9qyzeopK6+kMLIYkxdhzGzySjGYyZKZeHyY/w8sXq06eQfdG+lt+HZD784UONQUZxf6Ym/3oXxeYWbqHOypfdRifitzb8L65MIM3sTEE/levqxUePxOAC3pCs91ahyBBBwpcwQWaoTSy0QLevULRI1zsShBc8+EfdH69Qi+Crm6g+x/sH8QZLVswT6qTl1lj6+nbE4FHIMDvl/17ywdcqEcrPVyXQAg3llXQafai+Q==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=nlxMnD+Qng/XZ3ItsSWPtwUFCQiY7BraU69+h1GKl3c=;
 b=KLzN7XjFqhR1dlHFSN2IanEARkpolQHG0Pmg87rIvsworY2khSL9Xu80OWh+NNqUNR1liGiwBLPRE1/NzZsy2CWEUSTWXX8K0JA2aq4uLor0vYIVnpRIvk5YN8o8tY62vCDXMwkiJSgJfWlfCW8fkb/Awj1N4zZkhy1FmGEx7+LWIAKtaFLn2p5UujGu4l+yIfY0Nry9OLBItvgLFPxozNFBqdoTLhLFYJPjTad9VFNAYF5X6q7vSVGOhPXdgLzFckaFbJAYAMp6xwglkHzeU0TpjgMAdjc2bWkMEPn0CWOXl45g2uQ0V+wnRl+CiUFWXvvC5mrX2n3BFWnqDxOtkQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=anl.gov; dmarc=pass action=none header.from=anl.gov; dkim=pass
 header.d=anl.gov; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=ArgonneDOE.onmicrosoft.com; s=selector2-ArgonneDOE-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=nlxMnD+Qng/XZ3ItsSWPtwUFCQiY7BraU69+h1GKl3c=;
 b=Grmslnn3QerBnHZewTprsJHudyhoqH7jfhOlUSHX+XCQ7CcJ+UAwKxPz2VgetUjcJN4cmTzGCWT/1DD5gPg6Dz8GqIna+XtiQEn3eDkLWFrwDazYvlja7SOzM8FWfvrTLFYsXxdOqCI0s6Z43Cq0QUtTQAPcJ6YokWP8Hb5yIUw=
Received: from DM6PR09MB4631.namprd09.prod.outlook.com (2603:10b6:5:268::14)
 by DM6PR09MB5061.namprd09.prod.outlook.com (2603:10b6:5:267::19) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4308.20; Tue, 13 Jul
 2021 14:15:06 +0000
Received: from DM6PR09MB4631.namprd09.prod.outlook.com
 ([fe80::d1a4:2d1c:9127:9426]) by DM6PR09MB4631.namprd09.prod.outlook.com
 ([fe80::d1a4:2d1c:9127:9426%4]) with mapi id 15.20.4308.027; Tue, 13 Jul 2021
 14:15:06 +0000
From: "Kunz, Chris" <ckunz@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 26.3; shift arrow command runaway
Thread-Topic: 26.3; shift arrow command runaway
Thread-Index: Add38W2sAPMk3LNdR1WKx+F3/GeBRw==
Date: Tue, 13 Jul 2021 14:15:06 +0000
Message-ID: <DM6PR09MB4631845BC4D38996AAE65026A0149@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
authentication-results: gnu.org; dkim=none (message not signed)
 header.d=none;gnu.org; dmarc=none action=none header.from=anl.gov;
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 8b6c7d5a-518e-444f-0f4d-08d946089d6c
x-ms-traffictypediagnostic: DM6PR09MB5061:
x-microsoft-antispam-prvs: <DM6PR09MB50612D12FB5C504ACDB2AC76A0149@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:5236;
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: cEt1dwH4xdHkFEElOT+we91SHJi/cWefZF7RoExmiGMKSfB4gdhZplf+3MHE7ASPfJOPzMt5R9adX2qsYhW6Sq8SPRFe7hcK+ciLY+L3Sqk8jgZu0aoWh5CSwAjXfKtCTMtCx1fEhC9jcR6GUigbWxlIq2ooE6myhCT6EoMFdlxqeOe0gfjKAqFqIDqO9zskexHqK1FTJB2KYAF7DNqI9c/gp2sUio4geYuQCpDbg34ZYd6Xht09V0MGH84ptKMMbUiVQn8goyj52LD6VBNYsS6vBPaNF8VIaYw+r+DK+YJPZIZCqC//oQ+xM2efaaKYjICImPbIxgAHUdZapL6m6tHkZueVZBTnxAAVwVBCGdtaTpY7qLDXyP5TwngNsLJh1LRnZ7pyM7gJOtiAAmpIRPKT1cy9PdZmlr05R+moBoZ+uwTbW+6JRvbhvzUAtM9RDrX8ADCbAiz/uHd03Ca2SfwWn/BJc8DDuqx+q01TMbAmbwj/hTIxh3ROodXS/FY8+S7hGmPlzXl5G4b1DWERozMOiBQKZH0lzbs4hrl13VzBzA1oHRce8dP3F1f9xDYPO1AKyBlzC0hYGo9vKc4OX3FrSKjuk1aS4284nSm4mXd3WHKyUU+j0yVgjTjbfBEkFSEOzDV8S68w9VLbK0fPXA==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:DM6PR09MB4631.namprd09.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(396003)(136003)(39850400004)(376002)(346002)(366004)(33656002)(6506007)(8676002)(316002)(26005)(83380400001)(76116006)(2906002)(38100700002)(122000001)(478600001)(186003)(8936002)(7696005)(9686003)(66446008)(86362001)(71200400001)(6916009)(66476007)(64756008)(55016002)(66946007)(66556008)(52536014)(5660300002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?GXk8cBrdGRnoAGcfOzEy/3zRBD+jk4VEdneV2flOjexneA9/zM5OrODqGp15?=
 =?us-ascii?Q?7x3K6fQaEDlkd2l7izzQ31pU4cqGsujm5KUOiep0+L3oXvmE8iYWOfcqsGF5?=
 =?us-ascii?Q?qYOYfJytWD3jzHZiPx+LlP+0Ee4hatWAJha1FxAfHNEDWdGZ6aFnuewXDRQF?=
 =?us-ascii?Q?UIhIgaR8Hd6tS++nZ8D7FAw20rFS+aJ6qEo6UY8tFvsqg43u8yDAz4dySnTq?=
 =?us-ascii?Q?oWib9Ls55SXtihl/CoY0f14syjGgJnnM+zqRgO29UrW4oY9P/k7WH4AG0RdP?=
 =?us-ascii?Q?fFVWmYayUbf53QD17dvtlqQR+Zk01We/zlF01aMZb18l6NKw51neLa0RESho?=
 =?us-ascii?Q?nTW8HnpDs91wFYzT0NyARSxnBEfz/Ik+gtcHLx/7uygzNtXTIjc/ClkjcobP?=
 =?us-ascii?Q?ZENN6RLH+lAGSikSgGDU805w+CZzGvKwMEJ6t1HyqiWTf+O8QGOlHjL6dw0c?=
 =?us-ascii?Q?1pdgYjBFeXGotb2wYxSWa0YzT2QchsasMAkKsHWoWF4QNCz1YoPivdBrmqjk?=
 =?us-ascii?Q?ENjr8/0Xc6sxbbEL65WlAL3H2DRqHaLxSRf1tBUa2O33lgYTSi1YV5iy2jPz?=
 =?us-ascii?Q?8c/92sEWVWdeOxe+riDK923OFqrmGzBr1uV/6I6+txB/xmE377nlzSF3IENa?=
 =?us-ascii?Q?gwoQEr+149foKuJDzSnaKuBJp2vSqGm6nldDDJvd0D7SqMra4CRxRkwWSrJe?=
 =?us-ascii?Q?SEk6dE/1x2bqc35VrLT8t8W4K3vpGtUWW038biQ0kFL3Rn47bt/4QWW7MiLQ?=
 =?us-ascii?Q?t/ulu5nL7t310VhejK8KqmieEwugIaLEq1gDWIx3ZpJH5IrkGx5MDR5ai3UW?=
 =?us-ascii?Q?7WLeLnBDPWXOrWDJKe7L4PDSvBu5ma3a6BKwRubBNIWmtoUDmMrL0r20or+k?=
 =?us-ascii?Q?a4GKFOjqqSoebiC5E66WR9M54kIAo5di9fJwD9UrpriXUBro+Tec+UUVB48H?=
 =?us-ascii?Q?D5KTqXYRNyRVp1e2wUKTAqZW9oFM39fuOUzmDZtf4/FXQ9dUAohgYncT5RD8?=
 =?us-ascii?Q?auVhA9XTl57A8y46vnRx6Ts8nZvw6xrsRetjl4NmMLSBkWiMbpPeBJZCEkyP?=
 =?us-ascii?Q?OwyfnhIAFQCfYL2FWQn82i47/RkiF6EuhYo5RQGNU788nj5tgxDDzxzz/I9C?=
 =?us-ascii?Q?FleuPgp8GejQ93ujFLMti5Vd362C5xpZxbH4xH10I8j1hFtIjxcqCK01od8U?=
 =?us-ascii?Q?pWTWhuwrORrIl0lBdjwLKpZRMQ4eNdjsVbIHaQX37dPl/0huvFu1NjHRtgyI?=
 =?us-ascii?Q?c3LSy5USUN466tQYyTTNuJb+bb85huS5WzDviiatgdWDiWUg7LRWb1ynKKdy?=
 =?us-ascii?Q?BOZfdEmJ4eKDFDvoUIxoeSIY?=
x-ms-exchange-transport-forked: True
Content-Type: multipart/alternative;
 boundary="_000_DM6PR09MB4631845BC4D38996AAE65026A0149DM6PR09MB4631namp_"
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: DM6PR09MB4631.namprd09.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 8b6c7d5a-518e-444f-0f4d-08d946089d6c
X-MS-Exchange-CrossTenant-originalarrivaltime: 13 Jul 2021 14:15:06.3795 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 0cfca185-25f7-49e3-8ae7-704d5326e285
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6PR09MB5061
Received-SPF: pass client-ip=130.202.101.22; envelope-from=ckunz@HIDDEN;
 helo=mailrelay.anl.gov
X-Spam_score_int: -53
X-Spam_score: -5.4
X-Spam_bar: -----
X-Spam_report: (-5.4 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FROM_GOV_DKIM_AU=-0.999, HTML_MESSAGE=0.001, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 13 Jul 2021 10:44:25 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--_000_DM6PR09MB4631845BC4D38996AAE65026A0149DM6PR09MB4631namp_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

When I try to select a region using shift+arrow, if I hold the key combinat=
ion down for a second or two it will continue selecting the text after the =
keys are released. It appears to enter an infinite loop and only stops afte=
r reaching the end (or beginning) of the buffer.

The arrow key alone does not show the same behavior. This is reproducible a=
cross major modes.


In GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.14)
of 2020-03-26, modified by Debian built on lcy01-amd64-020
Windowing system distributor 'HC-Consult', version 11.0.12008001
System Description:        Ubuntu 20.04.2 LTS

Recent messages:
Loading /etc/emacs/site-start.d/00debian.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set
previous-line: Beginning of buffer [36 times]
C-x r e is undefined

Configured using:
'configure --build x86_64-linux-gnu --prefix=3D/usr
--sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
--localstatedir=3D/var/lib --infodir=3D/usr/share/info
--mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
--enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.3/site-lisp:/=
usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/share/=
emacs/site-lisp
--with-sound=3Dalsa --without-gconf --with-mailutils --build
x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
--libexecdir=3D/usr/lib --localstatedir=3D/var/lib
--infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
--with-pop=3Dyes
--enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.3/site-lisp:/=
usr/local/share/emacs/site-lisp:/usr/share/emacs/26.3/site-lisp:/usr/share/=
emacs/site-lisp
--with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dyes
--with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
-fdebug-prefix-map=3D/build/emacs-mEZBk7/emacs-26.3+1=3D. -fstack-protector=
-strong
-Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
-D_FORTIFY_SOURCE=3D2' 'LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS GLIB
NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: C.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 95135 6373)
(symbols 48 20402 1)
(miscs 40 49 118)
(strings 32 28440 1444)
(string-bytes 1 751572)
(vectors 16 13907)
(vector-slots 8 500794 7396)
(floats 8 50 79)
(intervals 56 256 0)
(buffers 992 12))

--_000_DM6PR09MB4631845BC4D38996AAE65026A0149DM6PR09MB4631namp_
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dus-ascii"=
>
<meta name=3D"Generator" content=3D"Microsoft Word 15 (filtered medium)">
<style><!--
/* Font Definitions */
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri",sans-serif;}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:#0563C1;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:#954F72;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri",sans-serif;
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-family:"Calibri",sans-serif;}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]-->
</head>
<body lang=3D"EN-US" link=3D"#0563C1" vlink=3D"#954F72">
<div class=3D"WordSection1">
<p class=3D"MsoNormal">When I try to select a region using shift+arrow, if =
I hold the key combination down for a second or two it will continue select=
ing the text after the keys are released. It appears to enter an infinite l=
oop and only stops after reaching
 the end (or beginning) of the buffer.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">The arrow key alone does not show the same behavior.=
 This is reproducible across major modes.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">In GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK=
+ Version 3.24.14)<o:p></o:p></p>
<p class=3D"MsoNormal">of 2020-03-26, modified by Debian built on lcy01-amd=
64-020<o:p></o:p></p>
<p class=3D"MsoNormal">Windowing system distributor 'HC-Consult', version 1=
1.0.12008001<o:p></o:p></p>
<p class=3D"MsoNormal">System Description:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nb=
sp;&nbsp; Ubuntu 20.04.2 LTS<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Recent messages:<o:p></o:p></p>
<p class=3D"MsoNormal">Loading /etc/emacs/site-start.d/00debian.el (source)=
...done<o:p></o:p></p>
<p class=3D"MsoNormal">For information about GNU Emacs and the GNU system, =
type C-h C-a.<o:p></o:p></p>
<p class=3D"MsoNormal">Mark set<o:p></o:p></p>
<p class=3D"MsoNormal">previous-line: Beginning of buffer [36 times]<o:p></=
o:p></p>
<p class=3D"MsoNormal">C-x r e is undefined<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Configured using:<o:p></o:p></p>
<p class=3D"MsoNormal">'configure --build x86_64-linux-gnu --prefix=3D/usr<=
o:p></o:p></p>
<p class=3D"MsoNormal">--sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib<=
o:p></o:p></p>
<p class=3D"MsoNormal">--localstatedir=3D/var/lib --infodir=3D/usr/share/in=
fo<o:p></o:p></p>
<p class=3D"MsoNormal">--mandir=3D/usr/share/man --enable-libsystemd --with=
-pop=3Dyes<o:p></o:p></p>
<p class=3D"MsoNormal">--enable-locallisppath=3D/etc/emacs:/usr/local/share=
/emacs/26.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.=
3/site-lisp:/usr/share/emacs/site-lisp<o:p></o:p></p>
<p class=3D"MsoNormal">--with-sound=3Dalsa --without-gconf --with-mailutils=
 --build<o:p></o:p></p>
<p class=3D"MsoNormal">x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D=
/var/lib<o:p></o:p></p>
<p class=3D"MsoNormal">--libexecdir=3D/usr/lib --localstatedir=3D/var/lib<o=
:p></o:p></p>
<p class=3D"MsoNormal">--infodir=3D/usr/share/info --mandir=3D/usr/share/ma=
n --enable-libsystemd<o:p></o:p></p>
<p class=3D"MsoNormal">--with-pop=3Dyes<o:p></o:p></p>
<p class=3D"MsoNormal">--enable-locallisppath=3D/etc/emacs:/usr/local/share=
/emacs/26.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.=
3/site-lisp:/usr/share/emacs/site-lisp<o:p></o:p></p>
<p class=3D"MsoNormal">--with-sound=3Dalsa --without-gconf --with-mailutils=
 --with-x=3Dyes<o:p></o:p></p>
<p class=3D"MsoNormal">--with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars '=
CFLAGS=3D-g -O2<o:p></o:p></p>
<p class=3D"MsoNormal">-fdebug-prefix-map=3D/build/emacs-mEZBk7/emacs-26.3+=
1=3D. -fstack-protector-strong<o:p></o:p></p>
<p class=3D"MsoNormal">-Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=
=3D-Wdate-time<o:p></o:p></p>
<p class=3D"MsoNormal">-D_FORTIFY_SOURCE=3D2' 'LDFLAGS=3D-Wl,-Bsymbolic-fun=
ctions -Wl,-z,relro''<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Configured features:<o:p></o:p></p>
<p class=3D"MsoNormal">XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBU=
S GSETTINGS GLIB<o:p></o:p></p>
<p class=3D"MsoNormal">NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_F=
LT LIBOTF XFT ZLIB<o:p></o:p></p>
<p class=3D"MsoNormal">TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM THREADS LIBSYS=
TEMD LCMS2<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Important settings:<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; value of $LANG: C.UTF-8<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; locale-coding-system: utf-8-unix<o:p></o:p></=
p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Major mode: Fundamental<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Minor modes in effect:<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; tooltip-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; global-eldoc-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; electric-indent-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; mouse-wheel-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; tool-bar-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; menu-bar-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; file-name-shadow-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; global-font-lock-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; font-lock-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; blink-cursor-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-composition-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-encryption-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-compression-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; line-number-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; transient-mark-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Load-path shadows:<o:p></o:p></p>
<p class=3D"MsoNormal">None found.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Features:<o:p></o:p></p>
<p class=3D"MsoNormal">(shadow sort mail-extr emacsbug message rmc puny seq=
 byte-opt gv<o:p></o:p></p>
<p class=3D"MsoNormal">bytecomp byte-compile cconv cl-loaddefs cl-lib dired=
 dired-loaddefs<o:p></o:p></p>
<p class=3D"MsoNormal">format-spec rfc822 mml easymenu mml-sec password-cac=
he epa derived epg<o:p></o:p></p>
<p class=3D"MsoNormal">epg-config gnus-util rmail rmail-loaddefs mm-decode =
mm-bodies mm-encode<o:p></o:p></p>
<p class=3D"MsoNormal">mail-parse rfc2231 mailabbrev gmm-utils mailheader s=
endmail rfc2047<o:p></o:p></p>
<p class=3D"MsoNormal">rfc2045 ietf-drums mm-util mail-prsvr mail-utils ele=
c-pair time-date<o:p></o:p></p>
<p class=3D"MsoNormal">mule-util tooltip eldoc electric uniquify ediff-hook=
 vc-hooks<o:p></o:p></p>
<p class=3D"MsoNormal">lisp-float-type mwheel term/x-win x-win term/common-=
win x-dnd tool-bar<o:p></o:p></p>
<p class=3D"MsoNormal">dnd fontset image regexp-opt fringe tabulated-list r=
eplace newcomment<o:p></o:p></p>
<p class=3D"MsoNormal">text-mode elisp-mode lisp-mode prog-mode register pa=
ge menu-bar<o:p></o:p></p>
<p class=3D"MsoNormal">rfn-eshadow isearch timer select scroll-bar mouse ji=
t-lock font-lock<o:p></o:p></p>
<p class=3D"MsoNormal">syntax facemenu font-core term/tty-colors frame cl-g=
eneric cham georgian<o:p></o:p></p>
<p class=3D"MsoNormal">utf-8-lang misc-lang vietnamese tibetan thai tai-vie=
t lao korean<o:p></o:p></p>
<p class=3D"MsoNormal">japanese eucjp-ms cp51932 hebrew greek romanian slov=
ak czech european<o:p></o:p></p>
<p class=3D"MsoNormal">ethiopic indian cyrillic chinese composite charscrip=
t charprop<o:p></o:p></p>
<p class=3D"MsoNormal">case-table epa-hook jka-cmpr-hook help simple abbrev=
 obarray minibuffer<o:p></o:p></p>
<p class=3D"MsoNormal">cl-preloaded nadvice loaddefs button faces cus-face =
macroexp files<o:p></o:p></p>
<p class=3D"MsoNormal">text-properties overlay sha1 md5 base64 format env c=
ode-pages mule<o:p></o:p></p>
<p class=3D"MsoNormal">custom widget hashtable-print-readable backquote thr=
eads dbusbind<o:p></o:p></p>
<p class=3D"MsoNormal">inotify lcms2 dynamic-setting system-font-setting fo=
nt-render-setting<o:p></o:p></p>
<p class=3D"MsoNormal">move-toolbar gtk x-toolkit x multi-tty make-network-=
process emacs)<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Memory information:<o:p></o:p></p>
<p class=3D"MsoNormal">((conses 16 95135 6373)<o:p></o:p></p>
<p class=3D"MsoNormal">(symbols 48 20402 1)<o:p></o:p></p>
<p class=3D"MsoNormal">(miscs 40 49 118)<o:p></o:p></p>
<p class=3D"MsoNormal">(strings 32 28440 1444)<o:p></o:p></p>
<p class=3D"MsoNormal">(string-bytes 1 751572)<o:p></o:p></p>
<p class=3D"MsoNormal">(vectors 16 13907)<o:p></o:p></p>
<p class=3D"MsoNormal">(vector-slots 8 500794 7396)<o:p></o:p></p>
<p class=3D"MsoNormal">(floats 8 50 79)<o:p></o:p></p>
<p class=3D"MsoNormal">(intervals 56 256 0)<o:p></o:p></p>
<p class=3D"MsoNormal">(buffers 992 12))<o:p></o:p></p>
</div>
</body>
</html>

--_000_DM6PR09MB4631845BC4D38996AAE65026A0149DM6PR09MB4631namp_--




Acknowledgement sent to "Kunz, Chris" <ckunz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#49544; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 13 Jul 2021 19:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.